$(".attributes").append('<%= escape_javascript(render :partial=>"attribute_field",:locals=>{:attribute_field=>@attribute_field,:attribute_field_counter=>@attribute_field_counter} )%>');
            $(".dataType").change(function () {
                        $(this).parents("legend").next("div").find("div[class^='type']").addClass("hide");
                        $(this).parents("legend").next("div").find("."+$(this).find("option:selected").attr("ref")).removeClass("hide");

                })